Create a new event (deprecated)
curl --request POST \
--url https://api.honeyhive.ai/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"inputs": {},
"project": "<string>",
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"event_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": [
"<string>"
],
"config": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
}
}
'import requests
url = "https://api.honeyhive.ai/events"
payload = { "event": {
"inputs": {},
"project": "<string>",
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"event_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": ["<string>"],
"config": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: {
inputs: {},
project: '<string>',
project_id: '<string>',
source: '<string>',
event_name: '<string>',
event_id: '<string>',
session_id: '<string>',
parent_id: '<string>',
children_ids: ['<string>'],
config: {},
outputs: {},
error: '<string>',
start_time: 123,
end_time: 123,
duration: 123,
metadata: {},
feedback: {},
metrics: {},
user_properties: {}
}
})
};
fetch('https://api.honeyhive.ai/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": "7f22137a-6911-4ed3-bc36-110f1dde6b66",
"success": true
}Events
Create a new event (deprecated)
deprecated
Deprecated. Use POST /v1/events instead. The legacy route wraps the event object under an event key; the v1 route accepts a bare event object.
POST
/
events
Create a new event (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for POST /events (deprecated — use POST /v1/events)
Full event object for legacy event creation endpoints
Show child attributes
Show child attributes
Was this page helpful?
⌘I

